* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --padding: 1.5rem;
  --color-black: #181818;
  --color-white: #fff;
  --color-grey: #777;
  --color-light: #efefef;
  --color-text: var(--color-black);
  --color-text-grey: var(--color-grey);
  --color-background: var(--color-white);
  --color-code-light-grey: #cacbd1;
  --color-code-comment: #a9aaad;
  --color-code-white: #c5c9c6;
  --color-code-red: #d16464;
  --color-code-orange: #de935f;
  --color-code-yellow: #f0c674;
  --color-code-green: #a7bd68;
  --color-code-aqua: #8abeb7;
  --color-code-blue: #7e9abf;
  --color-code-purple: #b294bb;
  --font-family-sans: "Poppins", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  --font-family-mono: "SFMono-Regular", Consolas, "Liberation Mono", Menlo, Courier, monospace;
  --letter-spacing-wide: 0.5rem;
}

html {
  font-family: var(--font-family-sans);
  color: var(--color-text);
  background: var(--color-background);
}


img {
  width: 100%;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow-x: hidden;
}

main {
  flex: 1;
  padding-top: 1.5rem;
}

.container {
  max-width: 85rem;
  margin: 0 auto;
  padding: 0 var(--padding);
}

li {
  list-style: none;
}

a {
  color: currentColor;
  text-decoration: none;
}

a.back {
  color: black;
  text-decoration: none;
  text-transform: uppercase;
  white-space: nowrap;
}

a.back::before {
  content: '←';
  display: inline-block;
  margin-right: 0.5rem;
  transition: all 0.2s ease;
}

a.back:hover::before {
  transform: translateX(-10px);
}

a.arrow {
  text-decoration: none;
  text-transform: uppercase;
  white-space: nowrap;
}

a.arrow::after {
  content: '→';
  display: inline-block;
  margin-right: 0.5rem;
  transition: all 0.2s ease;
}

a.arrow:hover::after {
  transform: translateX(10px);
}

.button {
  color: white;
  text-decoration: none;
  background-color: black;
  padding: 0.5rem 1rem;
  white-space: nowrap;
  font-weight: 400;
  text-transform: uppercase;
  font-size: 0.9rem;
  cursor: pointer;
}

strong,
b {
  font-weight: 600;
}

small {
  font-size: inherit;
  color: var(--color-text-grey);
}

.bg-light {
  background-color: var(--color-light);
}

.color-grey {
  color: var(--color-text-grey);
}

.header {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  padding-top: var(--padding);
}


a.logo {
  margin-bottom: 1.5rem;
}

.header__menu {
  display: flex;
  align-items: baseline;
  width: 100%;
  justify-content: center;
  border-top: 2px solid #181818;
  border-bottom: 2px solid #181818;
}

.header__menu a {
  padding: 1rem;
  display: block;
}



.social {
  display: flex;
  padding: 0 .5rem;
}

.social a {
  padding: 1rem .5rem;
}

.section {
  padding: 3rem 0;
}

.grid {
  --columns: 12;
  --gutter: 3rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: 1fr;
}

.grid>.column {
  margin-bottom: var(--gutter);
}

.autogrid {
  --gutter: 3rem;
  --min: 10rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: repeat(auto-fit, minmax(var(--min), 1fr));
  grid-auto-flow: dense;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: 800;
  text-transform: uppercase;
}

h1 {
  font-size: 3rem;
  letter-spacing: var(--letter-spacing-wide);
}

h2 {
  margin-bottom: 2rem;
}

.text-centered {
  text-align: center;
}

.text {
  line-height: 1.5em;
}

.text a {
  text-decoration: underline;
}

.text :first-child {
  margin-top: 0;
}

.text :last-child {
  margin-bottom: 0;
}

.text p,
.text ul,
.text ol {
  margin-bottom: 1.5rem;
}

.text ul,
.text ol {
  margin-left: 1rem;
}

.text ul p,
.text ol p {
  margin-bottom: 0;
}

.text ul>li {
  list-style: disc;
}

.text ol>li {
  list-style: decimal;
}

.text ul ol,
.text ul ul,
.text ol ul,
.text ol ol {
  margin-bottom: 0;
}

.text h1,
.h1,
.intro {
  font-size: 2rem;
  font-weight: 800;
  margin-bottom: 3rem;
  line-height: 1.25em;
}

.text h2,
.h2 {
  font-size: 1.25rem;
  font-weight: 600;
  margin-bottom: 1.25rem;
  line-height: 2rem;
}

.text h3,
.h3 {
  font-weight: 600;
}

.text .codeblock {
  display: grid;
}

.text code {
  font-family: var(--font-family-mono);
  font-size: 1em;
  background: var(--color-light);
  padding: 0 .5rem;
  display: inline-block;
  color: var(--color-black);
}

.text pre {
  margin: 3rem 0;
  background: var(--color-black);
  color: var(--color-white);
  padding: 1.5rem;
  overflow-x: scroll;
  overflow-y: hidden;
  line-height: 1.5rem;
}

.text pre code {
  padding: 0;
  background: none;
  color: inherit;
}

.text hr {
  margin: 6rem 0;
}

.text dt {
  font-weight: 600;
}

.text blockquote {
  font-size: 1.25rem;
  line-height: 1.325em;
  border-left: 2px solid var(--color-black);
  padding-left: 1rem;
  margin: 3rem 0;
  max-width: 25rem;
}

.text blockquote footer {
  font-size: .875rem;
  font-style: italic;
}

.text figure {
  margin: 3rem 0;
}

.text figcaption {
  padding-top: .75rem;
  color: var(--color-text-grey);
}

hr {
  border: 0;
  background: currentColor;
  height: 2px;
  width: 1.5rem;
  margin: 3rem auto;
}

.align-center {
  text-align: center;
}

.intro {
  max-width: 40rem;
}

.intro *:not(:last-child) {
  margin-bottom: 1em;
}

.cta {
  background: var(--color-black);
  color: var(--color-white);
  display: inline-flex;
  justify-content: center;
  padding: .75rem 1.5rem;
  border: 4px solid var(--color-white);
  outline: 2px solid var(--color-black);
}

.box {
  background: var(--color-light);
  padding: 1.5rem;
  border: 4px solid var(--color-white);
  outline: 2px solid var(--color-light);
}

.video,
.img {
  position: relative;
  display: block;
  --w: 1;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  background: var(--color-black);
}

.img img,
.video iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: 0;
}

.img[data-contain] img {
  object-fit: contain;
}

.img-caption,
.video-caption {
  padding-top: .75rem;
  line-height: 1.5em;
}

.footer {
  /* padding: 5rem 0 0 0; */
  line-height: 1.5em; 
  background-color: var(--color-black);
  color: var(--color-white);
  font-weight: 300;
}

.footer .grid {
  margin-bottom: var(--padding);
  margin-top: var(--padding);
}

.footer .grid>.column {
  margin-bottom: 0;
}

.footer h2 {
  font-weight: 600;
  font-size: 2rem;
  margin-bottom: 0.75rem;
  line-height: 2rem;
  display: inline;
}

.footer ul,
.footer p {
  color: var(--color-white);
}


.footer-bottom {
  /* border-top: 2px solid var(--color-white); */
  padding: 1rem 0;
  font-size: 0.8rem;
  text-align: left;
}

.newsletter-form {
  display: flex;
}

.newsletter-form input {
  font-size: 1.25rem;
  text-transform: uppercase;
  -webkit-appearance: none;
  -webkit-border-radius: 0px;
}

.newsletter-form input[type="email"] {
  background-color: var(--color-black);
  height: 52px;
  width: 100%;
  border: 2px solid var(--color-white);
  color: var(--color-white);
  padding: 0 1rem;
}

.newsletter-form input[type="email"]:focus {
  outline: none;
}

.newsletter-form input:auto-fill {
  background-color: green !important;
}

.newsletter-form input[type="button"] {
  background-color: white;
  border: none;
  padding: 0 1.5rem;
  color: #181818;
}


.map {
  --w: 2;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  position: relative;
  overflow: hidden;
  background: var(--color-black);
}

.map iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

.margin-s {
  margin-bottom: .75rem;
}

.margin-m {
  margin-bottom: 1.5rem;
}

.margin-l {
  margin-bottom: 3rem;
}

.margin-xl {
  margin-bottom: 4.5rem;
}

.margin-xxl {
  margin-bottom: 6rem;
}




.pagination {
  display: flex;
  justify-content: space-between;
  padding-top: 2rem;
}

.pagination>span {
  color: var(--color-text-grey);
  opacity: 0.5;
}

.pagination>* {
  padding: .5rem;
  width: 3rem;
  text-align: center;
  border: 2px solid currentColor;
}

.pagination>a:hover {
  background: var(--color-black);
  color: var(--color-white);
  border-color: var(--color-black);
}

.note-excerpt {
  line-height: 1.5em;
}

.note-excerpt header {
  margin-bottom: 1.5rem;
}

.note-excerpt figure {
  margin-bottom: .5rem;
}

.note-excerpt-title {
  font-weight: 600;
}

.note-excerpt-date {
  color: var(--color-text-grey);
}

.hero-wrapper {
  width: 100%;
  position: relative;
  margin-bottom: 2rem;
}

.hero-title {
  display: flex;
  justify-content: center;
  color: white;
  position: absolute;
  align-items: center;
  width: 100%;
  height: 100%;
  letter-spacing: 0.2em;
  background-color: #0000000b;
  text-align: center;
  padding: 0 1rem;
}

.hero-title-artist {
  display: flex;
  justify-content: center;
  color: white;
  position: absolute;
  align-items: center;
  width: 100%;
  height: 100%;
  letter-spacing: 0.2em;
  text-align: center;
  padding: 0 1rem;
}

.hero-images {
  display: flex;
}

.hero-images img {
  width: 50%;
  object-fit: cover;
}

.color-block {
  background-color: black;
  width: 50%;
  color: white; /* Textfarbe */
  display: flex;
  justify-content: center; /* Zentriert den Text horizontal */
  align-items: center; /* Zentriert den Text vertikal */
  text-align: center;
  padding: 1rem; /* Etwas Abstand um den Text */
}


.info-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5rem;
  font-size: 0.8rem;
}

.info-wrapper span {
  white-space: nowrap;
}

.info-wrapper dl {
  display: flex;
  justify-content: center;
  grid-gap: 1rem;
  text-transform: uppercase;
  /* width: 80%; */
}

.info-wrapper dl div {
  display: flex;
  grid-gap: 0.3rem;
}

.info-wrapper dl dd {
  font-weight: 700;
}

.people-wrapper {
  margin-bottom: 5rem;
}

.homegrid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 1rem;
}

.grid-4 {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 1rem;
}

.grid-5 {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 1rem;
}

.grid-6 {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-gap: 1rem;
}

.grid-7 {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-gap: 1rem;
}

.grid-8 {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-gap: 1rem;
}

.featured-clients div {
  align-items: center;
}

.featured-clients img {
  padding: 0 1rem;
  filter: brightness(0%) saturate(100%) invert(3%) sepia(10%) saturate(31%) hue-rotate(314deg) brightness(94%) contrast(87%);
}

.homegrid li a figure, .grid-4 li a figure {
  position: relative;
  font-size: 0;
}

.homegrid li a figure figcaption, .grid-4 li a figure figcaption {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  width: 100%;
  height: 100%;
  font-size: 1.6rem;
  line-height: 1.5rem;
  letter-spacing: 0.2rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.homegrid h2, .grid-4 h2 {
  margin-bottom: 0;
  padding: 0 1rem;
}

.homegrid span, .grid-4 span {
  text-transform: uppercase;
  font-size: 0.9rem;
  letter-spacing: 0;
}

.homegrid li a figure img, .grid-4 li a figure img {
  transition: all 0.3s ease;
}

.homegrid li a:hover figure img, .grid-4 li a:hover figure img {
  filter: brightness(0.7);
}

.grid-4 li a:hover figure.figure-wrapper img {
  filter: brightness(1); 
}
}

.intro-text {
  grid-area: 1 / 2 / 2 / 4;
  text-align: center;
  margin-bottom: 5rem
}



.flickity-slider img {
  display: block;
  height: 500px;
  object-fit: cover;
}

.carousel-cell {
  margin-right: 8px;
}

.flickity-enabled {
  margin-bottom: 0.5rem;
}

.flickity-button {
  background: transparent;
}

.flickity-button:hover {
  background: transparent;
}

.flickity-prev-next-button {
  width: 100px;
  height: 100px;
}

.flickity-button-icon {
  fill: white
}

.flickity-button:disabled {
  display: none;
}

.hero-title.responsive {
  display: none;
}



/*
.slider, .polaslider {
  height: 480px;
  width: 100%;
  overflow: hidden;
  margin-top: 2rem;
  margin-bottom: 5rem;
}

.slick-track {
  width: 100%;
}

.slider img, .polaslider img {
  height: 480px;
  width: auto;
  margin-right: 8px
}

.slick-prev, .slick-next {
  z-index: 100;
}

.slick-prev {
  left: 20px;
}

.slick-next {
  right: 20px;
}
*/

.header__checkbox {
  position: absolute;
  width: 1px;
  height: 1px;
  clip-path: inset(50%);
  opacity: 0;
}


.header__toggle__wrapper {
  background-color: var(--color-black);
  height: 60px;
  width: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  display: none;
}

.header__toggle {
  position: relative;
  width: 50%;
  height: 40%;
  float: right;
  border-style: solid;
  border-color: var(--color-white);
  border-width: 2px 0;
  cursor: pointer;
}

.header__toggle:before,
.header__toggle:after {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  height: 2px;
  width: 100%;
  margin-top: -1px;
  background: var(--color-white);
  transition: all 0.3s ease;
}

section.credits {
  margin-bottom: 2rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  text-align: center;
}

.credit-department {
  font-weight: 400;
}

.credit-name {
  font-weight: 700;
}

.credit a {
  text-decoration: underline;
  line-height: 1rem;
  padding-bottom: 1px;
}

.credit a:hover {
  text-decoration: none;
}

.project-credits span {
  font-weight: 400;
}

.project-credits span.name {
  font-weight: 700;
}

.project-credits {
  line-height: 0.8rem;
  margin-top: 1rem;
}

.latest-projects {
  margin-top: 6rem;
}

.grid-4 figure img {
  filter: brightness(0.9);
}




.header__checkbox:checked~.header__toggle__wrapper .header__toggle {
  border-color: transparent;
}

.header__checkbox:checked~.header__toggle__wrapper .header__toggle:before {
  transform: rotate(135deg);
}

.header__checkbox:checked~.header__toggle__wrapper .header__toggle:after {
  transform: rotate(45deg);
}

.header__checkbox:checked~.header__menu {
  transform: translateX(280px);
  transition: all 0.4s ease;
}

.contentafterslider {
  margin-top: 5rem;
}

.artist-hair-makeup-grid-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.artist-hair-makeup-grid-item {
  display: grid;
  grid-template-rows: auto 1fr;
}

.artist-hair-makeup-main-image img, .artist-hair-makeup-flickity-slider .artist-hair-makeup-gallery-cell img {
  width: 100%;
  height: auto;
}

/* Anpassungen für den Flickity-Slider */
.artist-hair-makeup-flickity-slider {
  display: flex;
  overflow: hidden;
}
.artist-hair-makeup-gallery-cell {
  width: 100%;
}

.slidingVertical {
  overflow: hidden;
  position: relative;
  height: 2em; /* Höhe entsprechend der Schriftgröße anpassen */
}

.slidingVertical h2 {
  position: absolute;
  top: 191px;
  width: 100%;
  margin: 0;
  line-height: 2em;
  opacity: 0;
  transform: translateY(-50%);
  animation: slide 10s infinite;
}

.slidingVertical span {
  margin-top: 25px;
}

/* Keyframes für die Animation */
@keyframes slide {
  8%, 100% {
    opacity: 0;
    transform: translateY(-50%);
  }
  8%, 17% {
    opacity: 1;
    transform: translateY(0%);
  }
  25%, 30% {
    opacity: 0;
    transform: translateY(-50%);
  }
}

.slider a, .polaslider a {
  cursor: grab;
}

.mail-cta {
  text-align: right;
}

.mail-cta a {
  text-decoration: underline 2px;
  text-underline-offset: 10px;
  -webkit-text-decoration: underline 2px;
  -webkit-text-underline-offset: 10px;

  transition: 0.2s ease all;
  line-height: 3rem;
}

.mail-cta a:hover {
  text-underline-offset: 5px;
}
.figure-wrapper {
  position: relative;
}

.figure-wrapper img {
  width: 100%;
  display: block;
  transition: opacity 0.3s ease;
}

.figure-wrapper .hover-image {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.figure-wrapper:hover .hover-image {
  opacity: 1;
}

figcaption {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  pointer-events: none; /* Verhindert, dass figcaption Mausereignisse abfängt */
  /* Hier weitere Stile für figcaption, wie Hintergrund, Farbe etc. */
}

@media screen and (max-width: 90rem) {

  .info-wrapper {
    margin-bottom: 2.5rem;
  }

  .info-wrapper dl div {
    display: flex;
    flex-direction: column;
    grid-gap: 0.3rem;
    text-align: center;
  }

  .info-wrapper a.back,
  .info-wrapper .button {
    display: none;
  }

  .info-wrapper dl {
    width: 100%;
  }

  .info-wrapper dl {
    grid-gap: 2rem;
    font-size: 0.8rem;
    flex-wrap: wrap;
}
}

@media screen and (max-width: 60rem) {
  .header {
    flex-direction: row;
    justify-content: space-between;
    padding: 1.5rem;
  }

  .header .logo img {
    height: 60px;
    width: auto;
  }

  .header__toggle__wrapper {
    display: flex;
  }

  .header__menu {
    position: fixed;
    display: block;
    right: 100%;
    top: 0;
    width:280px;
    height: 100%;
    background: var(--color-black);
    color: var(--color-white);
    padding: 1rem;
    margin: 0;
    font-size: 1.5rem;
    line-height: 1.5rem;
    box-sizing: border-box;
    transition: all 0.2s ease-in;
    z-index: 999;
  }

}

@media screen and (min-width: 60rem) {
  .header .logo img {
    width: 20rem;
  }

  body {
    --padding: 3rem;
  }

  .grid {
    grid-template-columns: repeat(12, 1fr);
  }

  .grid>.column {
    grid-column: span var(--columns);
  }

}

@media screen and (max-width: 60rem) {
  a.logo {
    margin-bottom: 0;
  }

  main {
    padding-top: 0;
  }

  .hero-images img:nth-child(2) {
    display: none;
  }

  .intro-text {
    grid-area: 1 / 1 / 2 / 4;
  }

  .grid-8 {
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 2rem;
  }

  .featured-clients img {
    padding: 0;
  }

  .hero-images img {
    width: 100%;
  }

  .hero-images {
    /* height: 380px; */
}

  .grid-4 {
    grid-template-columns: repeat(3, 1fr);
  }

  .color-block {
    display: none;
  }

  .hero-title.responsive {
    display: flex;
}



section#eff9c8a8-30c2-4ca0-9974-6fd8792bbcd2 > :nth-child(1) {
  order: 2;
}
}

@media screen and (max-width: 50rem) {
  .grid-4 {
    grid-template-columns: repeat(2, 1fr);
  }


}

@media screen and (max-width: 40rem) {
  .grid-4 {
    grid-template-columns: repeat(1, 1fr);
  }

  .grid-4 li a figure img {
    object-fit: cover;
    object-position: top;
  }

  h1 {
    font-size: 1.5rem;
  }

  .mail-cta {
    text-align: left;
}
}